Générations impossibles si .odg sous Ubuntu 18.04


#1

Bonjour,
alors que tout fonctionnait bien jusqu’alors (scenari / opale) je me suis retrouvé ce jour dans l’impossibilité de générer des publications web renfermant des fichiers .odg.
Peut-être y a-t’il eu une mise à jour que je n’ai pas vu passer de LibreOffice ou de l’OS mais il n’en demeure pas moins que mes générations sont en échec, et ce sur deux ordis sous Ubuntu 18.04.1LTS.

Sur un des deux ordi j’ai fini par désinstaller LibreOffice pour installer la version officielle (les .deb) puis j’ai personnalisé l’emplacement le LO : /opt/libreoffice6.0/program
voici le rapport d’erreur à la génération : rapport1_LO61804.txt (385,0 Ko)

Sur l’autre ordi j’ai une install fraîche avec le LO d’origine : rapport2_LO61804.txt (186,0 Ko)

Si quelqu’un a une idée pour réussir à générer mes docs je suis preneur.

cordialement,
Patrice HARDOUIN


#2

Bonjour,
je viens de basculer un ordi sous 16.04.5 LTS et je n’ai plus ce problème. Cela reste donc limité à Ubuntu 18.04.1 / LibreOffice 6.

si quelqu’un à une piste pour que cela fonctionne sous Ubuntu 18.04.1 je suis preneur évidemment :wink:
cordialement


#3

Donc, pour résumer mes pérégrinations :

  • génération web de documents renfermant des .odg reste en erreur : la plupart des fichiers odg ne s’affichent pas et ne sont même pas prévisualisés, certains fichiers .odg s’affichent tout de même ; sur Ubuntu 18.04.1 ; tests effectués sur 2 ordinateurs différents avec un upgrade d’Ubuntu et une installation fraîche.
  • Sous Ubuntu 16.04.5 RAS, tout fonctionne avec exactement les même sources.

#4

Bonjour Patrice,
C’est le lien “Opale > LibreOffice” qui pose problème (pas la version d’Ubuntu).
Pas certain que ce soit la cause de cette erreur, mais vous avez testé avec la version de LibreOffice officiellement supportée pour Opale 3.7 : LibreOffice 5.0 (http://downloadarchive.documentfoundation.org/libreoffice/old/) ?
Cdt,


#5

Bizarre, bizarre voici le test que je viens de faire :

Et voici mon paramétrage :


#6

Tu aurais donc des fichiers ODG qui ne sont pas compatibles avec LO 6.1 ? si tu les ouvre est re-sauve, pas mieux ?


#7

Le problème n’existe plus avec une version d’Ubuntu 18.04.1 out of the box.Visiblement il y avait des problèmes de versions de LibreOffice avec la mise à jour d’Ubuntu 16.04 vers 18.01.